using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using System.Drawing.Drawing2D;
using System.Drawing;


namespace TrendCtrlII
{
    [TypeConverterAttribute(typeof(ExpandableObjectConverter))]
    public partial class CMouseinfo
    {
        private Boolean hand;
        private Boolean cross;
        private Boolean move;
        private Boolean changepos;
        private Boolean drag;
        private EDRAGTYPE dragtype;
        //private PointF dragstart;
        private PointF position;
        private PointF position0;
        //private Single _time;
        private Single _volt;
        private Boolean _showinfo;
        private int _dragindex;

        public CMouseinfo(PointF _pf)
        {
            position = _pf;
            position0 = _pf;
            _showinfo = false;
            _volt = 0;
            _dragindex = -1;
        }
        public int DragIndex 
        {
            get { return this._dragindex; }
            set { this._dragindex = value; }

            }
        public Boolean Showinfo
        {
            get { return this._showinfo; }
            set { this._showinfo = value; }
        }

        public  Int64 Time { get; set; }

        public Single Volt
        {
            get { return this._volt; }
            set { this._volt = value; }
        }

        public EDRAGTYPE DragType
        {
            get { return this.dragtype; }
            set { this.dragtype = value; }
        }

        public PointF DragStart { get; set; }

        public PointF Position
        {
            get { return this.position; }
            set {
                this.position0 = new PointF(this.position.X, this.position.Y); 
                this.position = value;                
            }
        }

        public PointF Position0
        {
            get { return this.position0; }
            set { this.position0 = value; }
        }
        public Boolean Hand
        {
            get { return this.hand; }
            set { this.hand = value; }
        }
        public Boolean Cross
        {
            get { return this.cross; }
            set { this.cross = value; }
        }
        public Boolean ChangePos
        {
            get { return this.changepos; }
            set { this.changepos = value; }
        }
        public Boolean Move
        {
            get { return this.move; }
            set { this.move = value; }
        }
        public Boolean Drag
        {
            get { return this.drag; }
            set { this.drag = value; }
        }

    }
}
